Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 2637843002: Migrate base::TaskRunner from Closure to OnceClosure (Closed)

Created:
2 years, 8 months ago by tzik
Modified:
2 years, 5 months ago
CC:
chromium-reviews, sadrul, qsr+mojo_chromium.org, vmpstr+watch_chromium.org, yzshen+watch_chromium.org, fdoray+watch_chromium.org, tracing+reviews_chromium.org, kinuko+watch, miu+watch_chromium.org, darin (slow to review), cbentzel+watch_chromium.org, robliao+watch_chromium.org, gab+watch_chromium.org, jam, abarth-chromium, jbauman+watch_chromium.org, darin-cc_chromium.org, blink-reviews, kalyank, xjz+watch_chromium.org, blink-worker-reviews_chromium.org, mlamouri+watch-content_chromium.org, chromoting-reviews_chromium.org, imcheng+watch_chromium.org, jasonroberts+watch_google.com, viettrungluu+watch_chromium.org, feature-media-reviews_chromium.org, piman+watch_chromium.org, danakj+watch_chromium.org, tfarina, avayvod+watch_chromium.org, Aaron Boodman, wfh+watch_chromium.org, cc-bugs_chromium.org, scheduler-bugs_chromium.org, isheriff+watch_chromium.org, dcheng, gab
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Migrate base::TaskRunner from Closure to OnceClosure After this CL, TaskRunner::PostTask and its family can take OnceClosure in addition to Closure. Most of the changes are mechanical replacement of Closure with OnceClosure on TaskRunner family. Others are: - Limit CriticalClosure from Closure to OnceClosure as no caller call the resulting callback more than once - Add several PostTaskAndReplyWithResult overloads for old Callback version, for compatibility. (in base/task_scheduler/post_task.h) - Update SequencedWorkerPool implementation for OnceClosure. - Update task handling code in app_state.mm for OnceClosure, which is needed to bring OnceClosure into a ObjC block. BUG=704027 CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_trusty_blink_rel Review-Url: https://codereview.chromium.org/2637843002 Cr-Commit-Position: refs/heads/master@{#462023} Committed: https://chromium.googlesource.com/chromium/src/+/6e42784f92a0b66a3eae584358ec4a8778bffa33

Patch Set 1 #

Patch Set 2 : fix #

Patch Set 3 : migrate ios WebThread #

Patch Set 4 : fix! #

Patch Set 5 : fix #

Patch Set 6 : webrtc_fix #

Patch Set 7 : fix #

Patch Set 8 : rebase on post_task_and_reply #

Patch Set 9 : rebase #

Patch Set 10 : rebase #

Patch Set 11 : . #

Patch Set 12 : . #

Patch Set 13 : s/RepeatingCallback/Callback/ #

Patch Set 14 : rebase without dcheck_in_ref_count #

Total comments: 8

Patch Set 15 : static_cast -> ctor call #

Patch Set 16 : rebase #

Patch Set 17 : revert #include only changes #

Patch Set 18 : rebase #

Patch Set 19 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+434 lines, -383 lines) Patch
M base/critical_closure.h View 1 2 3 4 5 6 7 8 9 10 2 chunks +7 lines, -6 lines 0 comments Download
M base/critical_closure_internal_ios.mm View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -2 lines 0 comments Download
M base/deferred_sequenced_task_runner.h View 1 2 3 4 5 6 7 8 9 3 chunks +4 lines, -4 lines 0 comments Download
M base/deferred_sequenced_task_runner.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 3 chunks +3 lines, -3 lines 0 comments Download
M base/message_loop/incoming_task_queue.h View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M base/message_loop/incoming_task_queue.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +1 line, -1 line 0 comments Download
M base/message_loop/message_loop_task_runner.h View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -2 lines 0 comments Download
M base/message_loop/message_loop_task_runner.cc View 1 2 3 4 5 6 7 8 9 2 chunks +2 lines, -2 lines 0 comments Download
M base/post_task_and_reply_with_result_internal.h View 1 2 3 4 5 6 7 8 9 1 chunk +4 lines, -5 lines 0 comments Download
M base/sequenced_task_runner.h View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -2 lines 0 comments Download
M base/sequenced_task_runner.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M base/task_runner.h View 1 2 3 4 5 6 7 8 9 3 chunks +4 lines, -4 lines 0 comments Download
M base/task_runner.cc View 1 2 3 4 5 6 7 8 9 2 chunks +5 lines, -5 lines 0 comments Download
M base/task_scheduler/post_task.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 7 chunks +47 lines, -16 lines 0 comments Download
M base/task_scheduler/post_task.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +10 lines, -10 lines 0 comments Download
M base/task_scheduler/scheduler_single_thread_task_runner_manager.cc View 1 2 3 4 5 6 7 8 9 10 2 chunks +2 lines, -2 lines 0 comments Download
M base/task_scheduler/scheduler_worker_pool_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 3 chunks +3 lines, -3 lines 0 comments Download
M base/task_scheduler/task.h View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M base/task_scheduler/task.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M base/task_scheduler/task_scheduler.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +1 line, -1 line 0 comments Download
M base/task_scheduler/task_scheduler_impl.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +1 line, -1 line 0 comments Download
M base/task_scheduler/task_scheduler_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +1 line, -1 line 0 comments Download
M base/test/null_task_runner.h View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -2 lines 0 comments Download
M base/test/null_task_runner.cc View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -2 lines 0 comments Download
M base/test/scoped_task_scheduler.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 5 chunks +6 lines, -6 lines 0 comments Download
M base/test/test_mock_time_task_runner.h View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -2 lines 0 comments Download
M base/test/test_mock_time_task_runner.cc View 1 2 3 4 5 6 7 8 9 4 chunks +4 lines, -4 lines 0 comments Download
M base/test/test_pending_task.h View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M base/test/test_pending_task.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M base/test/test_simple_task_runner.h View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -2 lines 0 comments Download
M base/test/test_simple_task_runner.cc View 1 2 3 4 5 6 7 8 9 2 chunks +2 lines, -2 lines 0 comments Download
M base/threading/post_task_and_reply_impl.h View 1 2 3 4 5 6 7 8 9 1 chunk +3 lines, -3 lines 0 comments Download
M base/threading/post_task_and_reply_impl.cc View 1 2 3 4 5 6 7 5 chunks +8 lines, -9 lines 0 comments Download
M base/threading/post_task_and_reply_impl_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +1 line, -1 line 0 comments Download
M base/threading/sequenced_worker_pool.h View 1 2 3 4 5 6 7 8 9 5 chunks +9 lines, -8 lines 0 comments Download
M base/threading/sequenced_worker_pool.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 21 chunks +41 lines, -28 lines 0 comments Download
M base/threading/worker_pool.h View 1 2 3 4 5 6 7 8 9 1 chunk +3 lines, -3 lines 0 comments Download
M base/threading/worker_pool.cc View 1 2 3 4 5 6 7 8 9 6 chunks +7 lines, -7 lines 0 comments Download
M base/threading/worker_pool_posix.h View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M base/threading/worker_pool_posix.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 4 chunks +4 lines, -4 lines 0 comments Download
M base/threading/worker_pool_win.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +1 line, -1 line 0 comments Download
M base/trace_event/memory_dump_manager_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 2 chunks +3 lines, -3 lines 0 comments Download
M cc/test/ordered_simple_task_runner.h View 1 2 3 4 5 6 7 8 9 2 chunks +3 lines, -3 lines 0 comments Download
M cc/test/ordered_simple_task_runner.cc View 1 2 3 4 5 6 7 8 9 3 chunks +3 lines, -3 lines 0 comments Download
M cc/tiles/image_controller_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 5 chunks +6 lines, -6 lines 0 comments Download
M cc/tiles/tile_manager_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/browser/after_startup_task_utils.h View 1 2 3 4 5 6 7 8 9 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/browser/after_startup_task_utils.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 3 chunks +4 lines, -4 lines 0 comments Download
M chrome/browser/after_startup_task_utils_unittest.cc View 1 2 3 4 5 6 7 8 9 3 chunks +7 lines, -6 lines 0 comments Download
M chrome/browser/chrome_content_browser_client.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/chrome_content_browser_client.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/chromeos/login/users/fake_chrome_user_manager.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/chromeos/login/users/mock_user_manager.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/memory/tab_manager_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 3 chunks +3 lines, -3 lines 0 comments Download
M chromecast/base/system_time_change_notifier_unittest.cc View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -2 lines 0 comments Download
M chromeos/dbus/blocking_method_caller_unittest.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M chromeos/tpm/tpm_token_info_getter_unittest.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M components/history/core/browser/history_service.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +1 line, -1 line 0 comments Download
M components/history/core/browser/history_service.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +1 line, -1 line 0 comments Download
M components/memory_pressure/memory_pressure_monitor_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +1 line, -1 line 0 comments Download
M components/subresource_filter/content/browser/content_ruleset_service_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 2 chunks +2 lines, -2 lines 0 comments Download
M components/user_manager/fake_user_manager.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M content/browser/browser_thread_impl.h View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M content/browser/browser_thread_impl.cc View 1 2 3 4 5 6 7 8 9 11 chunks +14 lines, -14 lines 0 comments Download
M content/browser/compositor/reflector_impl_unittest.cc View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -2 lines 0 comments Download
M content/browser/dom_storage/dom_storage_task_runner.h View 1 2 3 4 5 6 7 8 9 3 chunks +6 lines, -6 lines 0 comments Download
M content/browser/dom_storage/dom_storage_task_runner.cc View 1 2 3 4 5 6 7 8 9 4 chunks +4 lines, -4 lines 0 comments Download
M content/browser/startup_task_runner_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +4 lines, -4 lines 0 comments Download
M content/child/worker_thread_registry.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +1 line, -1 line 0 comments Download
M content/child/worker_thread_registry.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 3 chunks +3 lines, -3 lines 0 comments Download
M content/public/browser/browser_thread.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 3 chunks +11 lines, -11 lines 0 comments Download
M content/public/browser/content_browser_client.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +1 line, -1 line 0 comments Download
M content/public/browser/content_browser_client.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +1 line, -1 line 0 comments Download
M content/public/child/worker_thread.h View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/categorized_worker_pool.h View 1 2 3 4 5 6 7 8 9 3 chunks +3 lines, -3 lines 0 comments Download
M content/renderer/categorized_worker_pool.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 4 chunks +4 lines, -4 lines 0 comments Download
M content/renderer/render_thread_impl_browsertest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 2 chunks +2 lines, -2 lines 0 comments Download
M content/test/test_blink_web_unit_test_support.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +2 lines, -2 lines 0 comments Download
M ios/chrome/app/application_delegate/app_state.mm View 1 2 3 4 5 6 7 8 9 2 chunks +5 lines, -3 lines 0 comments Download
M ios/web/public/web_thread.h View 1 2 3 4 5 6 7 8 9 2 chunks +12 lines, -12 lines 0 comments Download
M ios/web/web_thread_impl.h View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M ios/web/web_thread_impl.cc View 1 2 3 4 5 6 7 8 9 10 chunks +13 lines, -13 lines 0 comments Download
M media/base/fake_single_thread_task_runner.h View 1 2 3 4 5 6 7 8 9 2 chunks +3 lines, -3 lines 0 comments Download
M media/base/fake_single_thread_task_runner.cc View 1 2 3 4 5 6 7 8 9 4 chunks +5 lines, -5 lines 0 comments Download
M media/cast/test/skewed_single_thread_task_runner.h View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -2 lines 0 comments Download
M media/cast/test/skewed_single_thread_task_runner.cc View 1 2 3 4 5 6 7 8 9 2 chunks +2 lines, -2 lines 0 comments Download
M mojo/public/cpp/bindings/tests/bind_task_runner_unittest.cc View 1 2 3 4 5 6 7 8 9 2 chunks +3 lines, -3 lines 0 comments Download
M net/quic/chromium/test_task_runner.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +1 line, -1 line 0 comments Download
M net/quic/chromium/test_task_runner.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +1 line, -1 line 0 comments Download
M remoting/base/auto_thread_task_runner.h View 1 2 3 4 5 6 7 8 9 2 chunks +4 lines, -4 lines 0 comments Download
M remoting/base/auto_thread_task_runner.cc View 1 2 3 4 5 6 7 8 9 2 chunks +3 lines, -3 lines 0 comments Download
M remoting/client/plugin/pepper_main_thread_task_runner.h View 1 2 3 4 5 6 7 8 9 2 chunks +3 lines, -3 lines 0 comments Download
M remoting/client/plugin/pepper_main_thread_task_runner.cc View 1 2 3 4 5 6 7 8 9 4 chunks +7 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/platform/WebTaskRunner.h View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/scheduler/base/task_queue_impl.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 4 chunks +7 lines, -7 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/base/task_queue_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 7 chunks +7 lines, -7 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/base/task_queue_manager_delegate_for_test.h View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/base/task_queue_manager_delegate_for_test.cc View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/compositor_worker_scheduler.cc View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/scheduler_tqm_delegate_for_test.h View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/scheduler_tqm_delegate_for_test.cc View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/scheduler_tqm_delegate_impl.h View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/scheduler_tqm_delegate_impl.cc View 1 2 3 4 5 6 7 8 9 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/web_task_runner_impl.h View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/web_task_runner_impl.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/scheduler/test/fake_web_task_runner.h View 1 2 3 4 5 6 7 8 9 2 chunks +4 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/test/fake_web_task_runner.cc View 1 2 3 4 5 6 7 8 9 5 chunks +11 lines, -10 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/test/lazy_scheduler_message_loop_delegate_for_tests.h View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/test/lazy_scheduler_message_loop_delegate_for_tests.cc View 1 2 3 4 5 6 7 8 9 2 chunks +2 lines, -2 lines 0 comments Download
M ui/accelerated_widget_mac/window_resize_helper_mac.cc View 1 2 3 4 5 6 7 8 9 6 chunks +7 lines, -7 lines 0 comments Download

Dependent Patchsets:

Messages

Total messages: 168 (146 generated)
tzik
This CL is not ready to land for the depend-on CLs, but I think it's ...
2 years, 5 months ago (2017-03-24 15:28:17 UTC) #104
gab
Looks great :) https://codereview.chromium.org/2637843002/diff/460001/base/task_scheduler/post_task.h File base/task_scheduler/post_task.h (right): https://codereview.chromium.org/2637843002/diff/460001/base/task_scheduler/post_task.h#newcode117 base/task_scheduler/post_task.h:117: from_here, static_cast<OnceCallback<TaskReturnType()>>(task), std::move(task), std::move(reply)? https://codereview.chromium.org/2637843002/diff/460001/base/task_scheduler/post_task.h#newcode118 base/task_scheduler/post_task.h:118: ...
2 years, 5 months ago (2017-03-29 16:57:35 UTC) #121
tzik
https://codereview.chromium.org/2637843002/diff/460001/base/task_scheduler/post_task.h File base/task_scheduler/post_task.h (right): https://codereview.chromium.org/2637843002/diff/460001/base/task_scheduler/post_task.h#newcode117 base/task_scheduler/post_task.h:117: from_here, static_cast<OnceCallback<TaskReturnType()>>(task), On 2017/03/29 16:57:35, gab wrote: > std::move(task), ...
2 years, 5 months ago (2017-03-29 18:17:43 UTC) #124
gab
lgtm
2 years, 5 months ago (2017-03-29 18:25:47 UTC) #125
tzik
Adding owners who reviewed the previous CL. PTAL to: vmpstr: //cc/tiles, //cc/test sky: //chrome, //components/history, ...
2 years, 5 months ago (2017-03-30 17:21:13 UTC) #136
mmenke
On 2017/03/30 17:21:13, tzik wrote: > Adding owners who reviewed the previous CL. PTAL to: ...
2 years, 5 months ago (2017-03-30 17:24:31 UTC) #137
shrike
components/memory_pressure/ lgtm
2 years, 5 months ago (2017-03-30 17:38:26 UTC) #138
xiyuan
user_manager lgtm
2 years, 5 months ago (2017-03-30 17:57:52 UTC) #139
xhwang
media/ lgtm
2 years, 5 months ago (2017-03-30 18:03:18 UTC) #140
ccameron
ui/accelerated_widget_mac lgtm
2 years, 5 months ago (2017-03-30 18:46:09 UTC) #141
slan
On 2017/03/30 18:46:09, ccameron wrote: > ui/accelerated_widget_mac lgtm cast lgtm
2 years, 5 months ago (2017-03-30 19:04:18 UTC) #142
Sergey Ulanov
remoting lgtm
2 years, 5 months ago (2017-03-30 19:11:13 UTC) #144
oshima
chromeos lgtm
2 years, 5 months ago (2017-03-30 19:15:56 UTC) #145
sky
LGTM
2 years, 5 months ago (2017-03-30 20:52:39 UTC) #148
engedy
components/subresource_filter LGTM.
2 years, 5 months ago (2017-03-30 21:02:47 UTC) #149
kinuko
> //content, tp/WK/Source/platform/WebTaskRunner.h lgtm
2 years, 5 months ago (2017-03-31 00:15:57 UTC) #150
vmpstr
cc lgtm
2 years, 5 months ago (2017-04-03 18:48:31 UTC) #151
alex clarke (OOO till 29th)
lgtm
2 years, 5 months ago (2017-04-03 19:47:40 UTC) #152
tzik
sdefresne: Ping. Could you review //ios changes?
2 years, 5 months ago (2017-04-04 19:48:24 UTC) #157
sdefresne
src/ios/ lgtm
2 years, 5 months ago (2017-04-05 09:50:49 UTC) #162
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2637843002/560001
2 years, 5 months ago (2017-04-05 10:05:33 UTC) #165
commit-bot: I haz the power
2 years, 5 months ago (2017-04-05 10:14:26 UTC) #168
Message was sent while issue was closed.
Committed patchset #19 (id:560001) as
https://chromium.googlesource.com/chromium/src/+/6e42784f92a0b66a3eae584358ec...

Powered by Google App Engine
This is Rietveld 408576698